diff --git a/command/Makefile b/command/Makefile
index efafc13..d952594 100644
--- a/command/Makefile
+++ b/command/Makefile
@@ -11,6 +11,13 @@ VERSION = $(shell grep 'static const char \*VERSION *=' ../version.h | awk '{ pr
 CXX      ?= g++
 CXXFLAGS ?= -g -O2 -Wall -Wextra -Woverloaded-virtual -Wno-parentheses
 PKG-CONFIG ?= pkg-config
+BINDIR ?= /usr/local/bin
+LOCDIR ?= /usr/local/share/locale
+LOGODIR ?= /usr/local/share/markad
+
+-include $(VDRDIR)/Make.config
+
+#LOCALEDIR = $(LOCDIR)
 
 ### Includes and Defines (add further entries here):
 
@@ -19,6 +26,8 @@ PKG-INCLUDES += libavcodec
 
 DEFINES += -D_GNU_SOURCE 
 DEFINES += -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE
+DEFINES += -DLOGODIR=\"$(DESTDIR)$(LOGODIR)\"
+
 
 INCLUDES += $(shell $(PKG-CONFIG) --cflags $(PKG-INCLUDES))
 LIBS     += $(shell $(PKG-CONFIG) --libs $(PKG-LIBS))
@@ -50,7 +59,7 @@ $(DEPFILE): Makefile
 ### Internationalization (I18N):
 
 PODIR     = po
-LOCALEDIR = $(DESTDIR)/usr/share/locale
+LOCALEDIR = $(LOCDIR)
 I18Npo    = $(wildcard $(PODIR)/*.po)
 I18Nmsgs  = $(addprefix $(LOCALEDIR)/, $(addsuffix /LC_MESSAGES/markad.mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
 I18Npot   = $(PODIR)/markad.pot
@@ -78,10 +87,10 @@ markad: $(OBJS)
 	$(CXX) $(CXXFLAGS) $(OBJS) $(LIBS) -o $@
 
 install: markad $(I18Nmsgs) 
-	@cp --remove-destination markad $(DESTDIR)/usr/bin/markad
-	@strip $(DESTDIR)/usr/bin/markad
-	@mkdir -p $(DESTDIR)/var/lib/markad
-	@cp logos/* $(DESTDIR)/var/lib/markad
+	@strip markad
+	@cp --remove-destination markad $(DESTDIR)$(BINDIR)/markad
+	@mkdir -p $(DESTDIR)$(LOGODIR)
+	@cp logos/* $(DESTDIR)$(LOGODIR)
 	@echo markad installed
 
 clean:
diff --git a/command/global.h b/command/global.h
index b1b2748..7261fa2 100644
--- a/command/global.h
+++ b/command/global.h
@@ -71,7 +71,7 @@ typedef struct MarkAdPid
 
 typedef struct MarkAdContext
 {
-    char *LogoDir; // Logo Directory, default /var/lib/markad
+    char *LogoDir; // Logo Directory, see define LOGODIR
 
     struct Options
     {
diff --git a/command/markad-standalone.cpp b/command/markad-standalone.cpp
index 7780e46..347af8e 100644
--- a/command/markad-standalone.cpp
+++ b/command/markad-standalone.cpp
@@ -7,6 +7,10 @@
 
 #include "markad-standalone.h"
 
+#ifndef LOGODIR
+#define LOGODIR "/var/lib/markad"
+#endif
+
 bool SYSLOG=false;
 cMarkAdStandalone *cmasta=NULL;
 int SysLogLevel=2;
@@ -1573,7 +1577,7 @@ int usage()
            "                         (options can be added together, e.g. 5 = ignore\n"
            "                          audio and timer info)\n"
            "-l              --logocachedir\n"
-           "                  directory where logos stored, default /var/lib/markad\n"
+           "                  directory where logos stored, default %s\n"
            "-p              --priority level=<priority>\n"
            "                  priority-level of markad when running in background\n"
            "                  <-20...19> default 19\n"
@@ -1621,6 +1625,7 @@ int usage()
            "nice                         runs markad with nice(19)\n"
            "\n<record>                     is the name of the directory where the recording\n"
            "                             is stored\n\n",
+           LOGODIR,
            LOGO_MAXWIDTH,LOGO_DEFWIDTH,LOGO_DEFHDWIDTH,
            LOGO_MAXHEIGHT,LOGO_DEFHEIGHT
           );
@@ -1694,7 +1699,7 @@ int main(int argc, char *argv[])
     int tstop=0;
     int online=0;
 
-    strcpy(logoDirectory,"/var/lib/markad");
+    strcpy(logoDirectory,LOGODIR);
 
     while (1)
     {
diff --git a/plugin/markad.cpp b/plugin/markad.cpp
index 718f756..eff0e92 100644
--- a/plugin/markad.cpp
+++ b/plugin/markad.cpp
@@ -26,6 +26,7 @@ cPluginMarkAd::cPluginMarkAd(void)
     setup.BackupMarks=false;
     setup.Verbose=false;
     setup.NoMargins=false;
+    setup.HideMainMenuEntry=false;
 }
 
 cPluginMarkAd::~cPluginMarkAd()
@@ -171,6 +172,7 @@ bool cPluginMarkAd::SetupParse(const char *Name, const char *Value)
     else if (!strcasecmp(Name,"BackupMarks")) setup.BackupMarks=atoi(Value);
     else if (!strcasecmp(Name,"Verbose")) setup.Verbose=atoi(Value);
     else if (!strcasecmp(Name,"IgnoreMargins")) setup.NoMargins=atoi(Value);
+    else if (!strcasecmp(Name,"HideMainMenuEntry")) setup.HideMainMenuEntry=atoi(Value)?true:false;
     else return false;
     return true;
 }
@@ -272,4 +274,13 @@ cString cPluginMarkAd::SVDRPCommand(const char *Command, const char *Option, int
     return NULL;
 }
 
+const char *cPluginMarkAd::MainMenuEntry(void) 
+{ 
+    if(setup.HideMainMenuEntry)
+	return NULL;
+    else
+	return tr("State of mark advertisements"); 
+}
+
+            
 VDRPLUGINCREATOR(cPluginMarkAd) // Don't touch this!
diff --git a/plugin/markad.h b/plugin/markad.h
index b7fe929..df74dde 100644
--- a/plugin/markad.h
+++ b/plugin/markad.h
@@ -16,12 +16,11 @@
 #include "menu.h"
 #include "setup.h"
 
-#define DEF_BINDIR "/usr/bin"
-#define DEF_LOGODIR "/var/lib/markad"
+#define DEF_BINDIR "/usr/local/bin"
+#define DEF_LOGODIR "/usr/local/share/markad"
 
 extern const char *VERSION;
 static const char *DESCRIPTION    = trNOOP("Mark advertisements");
-static const char *MAINMENUENTRY  = trNOOP("markad status");
 
 class cPluginMarkAd : public cPlugin
 {
@@ -53,10 +52,7 @@ public:
     virtual void MainThreadHook(void);
     virtual cString Active(void);
     virtual time_t WakeupTime(void);
-    virtual const char *MainMenuEntry(void)
-    {
-        return tr(MAINMENUENTRY);
-    }
+    virtual const char *MainMenuEntry(void);
     virtual cOsdObject *MainMenuAction(void);
     virtual cMenuSetupPage *SetupMenu(void);
     virtual bool SetupParse(const char *Name, const char *Value);
diff --git a/plugin/po/de_DE.po b/plugin/po/de_DE.po
index ca20a0f..4f38e14 100644
--- a/plugin/po/de_DE.po
+++ b/plugin/po/de_DE.po
@@ -4,7 +4,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: vdr\n"
 "Report-Msgid-Bugs-To: <see README>\n"
-"POT-Creation-Date: 2010-04-26 13:57+0200\n"
+"POT-Creation-Date: 2010-05-06 18:07+0200\n"
 "PO-Revision-Date: 2009-08-27 14:18+0200\n"
 "Last-Translator: Jochen Dolze <vdr@dolze.de>\n"
 "Language-Team: <vdr@linuxtv.org>\n"
@@ -15,6 +15,10 @@ msgstr ""
 msgid "markad still running"
 msgstr "markad läuft noch"
 
+#, fuzzy
+msgid "State of mark advertisements"
+msgstr "Status des Werbemarkierung"
+
 msgid "running"
 msgstr "aktiv"
 
@@ -78,5 +82,8 @@ msgstr "alte Marken sichern"
 msgid "verbose logging"
 msgstr "ausführliches Logging"
 
+msgid "Hide Mainmenu Entry"
+msgstr "Verberge Hauptmenüeintrag"
+
 msgid "Mark advertisements"
 msgstr "Markiere Werbung"
diff --git a/plugin/po/it_IT.po b/plugin/po/it_IT.po
index 84ee7c0..67d6f55 100644
--- a/plugin/po/it_IT.po
+++ b/plugin/po/it_IT.po
@@ -4,7 +4,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: vdr\n"
 "Report-Msgid-Bugs-To: <see README>\n"
-"POT-Creation-Date: 2010-04-26 13:57+0200\n"
+"POT-Creation-Date: 2010-05-06 18:07+0200\n"
 "PO-Revision-Date: 2009-11-14 18:06+0100\n"
 "Last-Translator: Diego Pierotto <vdr-italian@tiscali.it>\n"
 "Language-Team:  <vdr@linuxtv.org>\n"
@@ -18,6 +18,10 @@ msgstr ""
 msgid "markad still running"
 msgstr ""
 
+#, fuzzy
+msgid "State of mark advertisements"
+msgstr "Segna i marcatori della pubblicità"
+
 msgid "running"
 msgstr ""
 
@@ -81,5 +85,8 @@ msgstr ""
 msgid "verbose logging"
 msgstr ""
 
+msgid "Hide Mainmenu Entry"
+msgstr ""
+
 msgid "Mark advertisements"
 msgstr "Segna i marcatori della pubblicità"
diff --git a/plugin/setup.cpp b/plugin/setup.cpp
index 5a23414..9c4131e 100644
--- a/plugin/setup.cpp
+++ b/plugin/setup.cpp
@@ -19,6 +19,7 @@ cSetupMarkAd::cSetupMarkAd(struct setup *Setup)
     verbose=setup->Verbose;
     genindex=setup->GenIndex;
     nomargins=setup->NoMargins;
+    HideMainMenuEntry=setup->HideMainMenuEntry;
 
     processTexts[0]=tr("after");
     processTexts[1]=tr("during");
@@ -43,6 +44,8 @@ void cSetupMarkAd::write(void)
     Add(new cMenuEditBoolItem(tr("OSD message"),&osdmsg));
     Add(new cMenuEditBoolItem(tr("backup marks"),&backupmarks));
     Add(new cMenuEditBoolItem(tr("verbose logging"),&verbose));
+    Add(new cMenuEditBoolItem(tr("Hide Mainmenu Entry"),&HideMainMenuEntry));
+
     Display();
 }
 
@@ -79,7 +82,8 @@ void cSetupMarkAd::Store(void)
     SetupStore("GenIndex",genindex);
     SetupStore("OSDMessage",osdmsg);
     SetupStore("Verbose",verbose);
-
+    SetupStore("HideMainMenuEntry",HideMainMenuEntry);
+  
     setup->ProcessDuring=(bool) processduring;
     setup->whileRecording=(bool) whilerecording;
     setup->whileReplaying=(bool) whilereplaying;
@@ -88,4 +92,5 @@ void cSetupMarkAd::Store(void)
     setup->BackupMarks=(bool) backupmarks;
     setup->Verbose=(bool) verbose;
     setup->NoMargins=(bool) nomargins;
+    setup->HideMainMenuEntry=(bool) HideMainMenuEntry;
 }
diff --git a/plugin/setup.h b/plugin/setup.h
index 9eb8119..663f514 100644
--- a/plugin/setup.h
+++ b/plugin/setup.h
@@ -20,6 +20,7 @@ struct setup
     bool Verbose;
     bool GenIndex;
     bool NoMargins;
+    bool HideMainMenuEntry;
 };
 
 class cSetupMarkAd : public cMenuSetupPage
@@ -35,6 +36,7 @@ private:
     int verbose;
     int genindex;
     int nomargins;
+    int HideMainMenuEntry;
     void write(void);
 protected:
     virtual void Store(void);