diff -up burn-0.2.0-beta5.orig/chain-dvd.c~ burn-0.2.0-beta5.orig/chain-dvd.c
--- burn-0.2.0-beta5.orig/chain-dvd.c~	2010-12-03 20:09:56.000000000 +0200
+++ burn-0.2.0-beta5.orig/chain-dvd.c	2010-12-13 20:47:04.150421243 +0200
@@ -281,16 +281,10 @@ namespace vdr_burn
 
 	void chain_dvd::prepare_demux()
 	{
-		const char* demux_call;
-		if ( global_setup().DemuxType == demuxtype_projectx )
-			demux_call = "demuxpx";
-		else
-			demux_call = "demux";
-
 		m_pxAudioIndex = 0;
 
 		// processes
-		shellprocess* demux = new shellprocess( "demux", shellescape( "vdrburn-dvd.sh" ) + demux_call);
+		shellprocess* demux = new shellprocess( "demux", shellescape( "vdrburn-dvd.sh" ) + "demux" );
 		demux->put_environment("RECORDING_PATH", m_currentRecording->get_filename());
 		demux->put_environment("IGNORE_TRACKS",  m_currentRecording->get_ignored_cids());
 		demux->put_environment("USED_TRACKS",    m_currentRecording->get_used_cids());
diff -up burn-0.2.0-beta5.orig/common.h~ burn-0.2.0-beta5.orig/common.h
--- burn-0.2.0-beta5.orig/common.h~	2010-12-11 15:07:41.000000000 +0200
+++ burn-0.2.0-beta5.orig/common.h	2010-12-13 20:49:33.334421638 +0200
@@ -188,7 +188,6 @@ namespace vdr_burn
 
 	enum demuxtype
 	{
-		//demuxtype_vdrsync,
 		demuxtype_projectx
 	};
 
diff -up burn-0.2.0-beta5.orig/jobs.c~ burn-0.2.0-beta5.orig/jobs.c
--- burn-0.2.0-beta5.orig/jobs.c~	2010-12-11 19:01:08.000000000 +0200
+++ burn-0.2.0-beta5.orig/jobs.c	2010-12-13 20:49:56.525421118 +0200
@@ -168,8 +168,6 @@ namespace vdr_burn
 		return join_strings(allTracks.begin(), allTracks.end(),
 				bind( int_to_string, bind( &track_info::cid, _1 ), 16, false ),
 				",");
-		// XXX too much knowledge: ignored_cids, used by vdrsync.pl, must be
-		// pure hex, so do not prefix
 	}
 
 	std::string recording::get_menu_aspect() const
diff -up burn-0.2.0-beta5.orig/Makefile~ burn-0.2.0-beta5.orig/Makefile
--- burn-0.2.0-beta5.orig/Makefile~	2010-12-13 19:01:17.598905545 +0200
+++ burn-0.2.0-beta5.orig/Makefile	2010-12-13 20:51:34.498421028 +0200
@@ -139,7 +139,7 @@ i18n: $(I18Nmsgs)
 
 .PHONY: all dist clean SUBDIRS
 
-all: libvdr-$(PLUGIN).so burn-buffers i18n
+all: libvdr-$(PLUGIN).so i18n
 
 SUBDIRS:
 	@for dir in $(SUBDIRS); do \
@@ -150,9 +150,6 @@ libvdr-$(PLUGIN).so: $(OBJS) SUBDIRS Mak
 	$(CXX) $(CXXFLAGS) -shared $(OBJS) $(LIBS) -o $@
 	@cp $@ $(LIBDIR)/$@.$(APIVERSION)
 
-burn-buffers: buffers.o
-	$(CXX) $(CXXFLAGS) $< -o $@
-
 scan-test: $(OBJS) proctools scan-test.o
 	$(CXX) $(CXXFLAGS) scan-test.o $(OBJS) -o $@ \
 		$(LIBS) -ljpeg -lpthread -ldl -lcap \
@@ -172,7 +169,7 @@ dist: clean
 
 clean:
 	@-rm -f $(PODIR)/*.mo $(PODIR)/*.pot
-	@-rm -f *.o genindex/*.o $(DEPFILE) *.so *.tgz core* *~ burn-buffers \
+	@-rm -f *.o genindex/*.o $(DEPFILE) *.so *.tgz core* *~ \
 		scan-test test t/*.o
 	@for dir in $(SUBDIRS); do \
 		make -C $$dir clean ; \
diff -up burn-0.2.0-beta5.orig/README~ burn-0.2.0-beta5.orig/README
--- burn-0.2.0-beta5.orig/README~	2010-12-13 19:01:35.660905964 +0200
+++ burn-0.2.0-beta5.orig/README	2010-12-13 20:52:55.241422189 +0200
@@ -37,10 +37,6 @@ boost >= 1.32.0  - http://www.boost.org
 ProjectX >= 0.90.4.00.b29     - http://sourceforge.net/projects/project-x/develop
   ** Tested with 0.90.4.00.b32
 
-NOT recommended any longer:
-vdrsync.pl       - http://vdrsync.vdrportal.de
-  ** http://vdrsync.vdr-portal.de/releases/vdrsync-050322.tgz
-
 SUBTITLE SUPPORT:
 pxsup2dast       - http://www.guru-group.fi/~too/sw/m2vmp2cut/
 
@@ -91,11 +87,10 @@ Installation
 
    # make DVDDEV=/dev/cdrecorder ISODIR=/export plugins
 
-4. Copy the scripts vdrburn-dvd.sh, vdrburn-archive.sh (for vdrsync.pl also the program
-   burn-buffers) to some location inside your $PATH.
+4. Copy the scripts vdrburn-dvd.sh and vdrburn-archive.sh to some location
+   in your $PATH.
 
    # cp PLUGINS/src/burn/*.sh /usr/bin/
-   # cp PLUGINS/src/burn/burn-buffers /usr/bin/burn-buffers
 
 5. Copy the font file and menu image templates into "plugins/burn" inside your
    VDR configuration directory (usually /video0 or /etc/vdr)
diff -up burn-0.2.0-beta5.orig/vdrburn-dvd.sh~ burn-0.2.0-beta5.orig/vdrburn-dvd.sh
--- burn-0.2.0-beta5.orig/vdrburn-dvd.sh~	2010-12-11 18:59:00.000000000 +0200
+++ burn-0.2.0-beta5.orig/vdrburn-dvd.sh	2010-12-13 20:47:38.432420934 +0200
@@ -87,24 +87,6 @@ case $1 in
 	;;
 
 	demux)
-		IGNORE=""
-		if [ ! -z $IGNORE_TRACKS ]; then
-			IGNORE="-ignore $IGNORE_TRACKS"
-		fi
-
-		CUT=""
-		if [ ! -z $USE_CUTTING ]; then
-			CUT="-cut"
-		fi
-
-		vdrsync.pl -o "$MPEG_TMP_PATH" \
-			-v-filter "burn-buffers" \
-			-a-filter "burn-buffers" \
-			-ac3-filter "burn-buffers" \
-			$CUT $IGNORE "$RECORDING_PATH/"
-	;;
-
-	demuxpx)
 		test -e "$MPEG_TMP_PATH/convert" && rm "$MPEG_TMP_PATH/convert"
 		ln -s "$RECORDING_PATH" "$MPEG_TMP_PATH/convert"
 